@keyframes stageScrollAnimation {
  0.01% {
    clip-path: inset(-70% 0 100%);
  }
  100% {
    clip-path: inset(100% 0 -70%);
  }
}
.insightarticlepage > .root > .aem-Grid > .stage {
  margin-block-start: 0;
}
.insightarticlepage .stage {
  --stage-base-align-items: flex-end;
  --stage-base-justify: center;
  --stage-base-text-align: center;
  position: relative;
}
.insightarticlepage .stage :has(.cmp-stage__image) {
  --stage-height: 604px;
}
.insightarticlepage .stage__font-volvo-broad .cmp-stage__title {
  font-family: var(--vcdk-typography-display-statement-font-family-small-screens);
  font-weight: var(--vcdk-typography-display-statement-weight-small-screens);
  font-size: var(--vcdk-typography-display-statement-size-small-screens);
  line-height: var(--vcdk-typography-display-statement-line-height-small-screens);
  letter-spacing: var(--vcdk-typography-display-statement-letter-spacing-small-screens);
}
@media (min-width: 904px) {
  .insightarticlepage .stage__font-volvo-broad .cmp-stage__title {
    font-family: var(--vcdk-typography-display-statement-font-family-large-screens);
    font-weight: var(--vcdk-typography-display-statement-weight-large-screens);
    font-size: var(--vcdk-typography-display-statement-size-large-screens);
    line-height: var(--vcdk-typography-display-statement-line-height-large-screens);
    letter-spacing: var(--vcdk-typography-display-statement-letter-spacing-large-screens);
  }
}
.insightarticlepage .stage__scroll-indicator {
  --stage-scroll-indicator-display: flex;
  --stage-content-padding-block-end: 60px;
}
.insightarticlepage .stage .cmp-stage {
  margin-block-start: 0;
}
.insightarticlepage .cmp-stage__base {
  display: grid;
  grid-template-rows: 1fr max-content;
  height: var(--stage-height);
  justify-content: center;
  padding-block: var(--vcdk-spacing-7) 0;
  padding-inline: var(--vcdk-spacing-6);
}
.insightarticlepage .cmp-stage__title {
  font-family: var(--vcdk-typography-heading-1-font-family-small-screens);
  font-weight: var(--vcdk-typography-heading-1-weight-small-screens);
  font-size: var(--vcdk-typography-heading-1-size-small-screens);
  line-height: var(--vcdk-typography-heading-1-line-height-small-screens);
  letter-spacing: var(--vcdk-typography-heading-1-letter-spacing-small-screens);
}
@media (min-width: 904px) {
  .insightarticlepage .cmp-stage__title {
    font-family: var(--vcdk-typography-heading-1-font-family-large-screens);
    font-weight: var(--vcdk-typography-heading-1-weight-large-screens);
    font-size: var(--vcdk-typography-heading-1-size-large-screens);
    line-height: var(--vcdk-typography-heading-1-line-height-large-screens);
    letter-spacing: var(--vcdk-typography-heading-1-letter-spacing-large-screens);
  }
}
.insightarticlepage .cmp-stage__content {
  padding-block: 0;
  padding-inline: 0;
  max-width: 720px;
}
.insightarticlepage .cmp-stage__image {
  position: static;
  height: auto;
}
.insightarticlepage .cmp-stage__image::after {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0.6) 100%);
}
@media (min-width: 960px) {
  .insightarticlepage .cmp-stage__image {
    position: absolute;
  }
}
.insightarticlepage .cmp-stage__scroll-indicator {
  display: var(--stage-scroll-indicator-display, none);
  position: relative;
  justify-self: center;
  height: 60px;
  max-height: 114px;
  width: 18px;
  z-index: 1;
  cursor: pointer;
}
.insightarticlepage .cmp-stage__scroll-indicator::before, .insightarticlepage .cmp-stage__scroll-indicator::after {
  content: "";
  background-image: url("/clientlibs-edge/develop/20260225074534/shared/resources/images/scroll-indicator.svg");
  width: 100%;
  height: 100%;
  background-position: center bottom;
  position: absolute;
  inset: 0;
}
.insightarticlepage .cmp-stage__scroll-indicator::before {
  opacity: 0.5;
}
.insightarticlepage .cmp-stage__scroll-indicator::after {
  animation: 1.5s ease 0.01s infinite normal none running stageScrollAnimation;
}

.stage {
  --component-margin-block-start: var(--component-block-spacing);
  --component-margin-block-end: var(--component-block-spacing);
}
.stage.margin-top--none {
  --component-margin-block-start: 0;
}
.stage.margin-top--single {
  --component-margin-block-start: var(--component-block-spacing);
}
.stage.margin-top--double {
  --component-margin-block-start: var(--component-block-spacing);
}
@media (min-width: 768px) {
  .stage.margin-top--double {
    --component-margin-block-start: calc(var(--component-block-spacing) * 2);
  }
}
.stage.margin-bottom--none {
  --component-margin-block-end: 0;
}
.stage.margin-bottom--single {
  --component-margin-block-end: var(--component-block-spacing);
}
.stage.margin-bottom--double {
  --component-margin-block-end: var(--component-block-spacing);
}
@media (min-width: 768px) {
  .stage.margin-bottom--double {
    --component-margin-block-end: calc(var(--component-block-spacing) * 2);
  }
}
.stage .cmp-stage {
  margin-block: var(--component-margin-block-start) var(--component-margin-block-end);
}
.aem-Grid > .stage:first-child:not(.margin-top--single):not(.margin-top--double) .cmp-stage {
  margin-block-start: 0 !important;
}

.stage:has(.cmp-stage__image) {
  --stage-height: 280px;
}
@media (min-width: 768px) {
  .stage:has(.cmp-stage__image) {
    --stage-height: 250px;
  }
}
@media (min-width: 960px) {
  .stage:has(.cmp-stage__image) {
    --stage-height: 402px;
  }
}
@media (min-width: 960px) {
  .stage__img--slim:has(.cmp-stage__image) {
    --stage-height: 302px;
  }
}
.stage__cta--video .cmp-stage__action-link::part(button) {
  width: 56px;
  height: 56px;
  border-radius: var(--vcdk-radius-circular);
}
@media (min-width: 960px) {
  .stage__text--right {
    --stage-base-justify: flex-end;
    --stage-base-text-align: end;
  }
}
.stage__text--center {
  --stage-base-justify: center;
  --stage-base-text-align: center;
}
.main-grid > .aem-Grid > .stage:first-child {
  margin-block-start: 0;
}
.stage .s7controlbar {
  display: none;
}

.cmp-stage {
  margin-inline: -15px;
}
@media (min-width: 960px) {
  .cmp-stage {
    margin-inline: 0;
  }
}
.cmp-stage__base {
  position: relative;
  text-align: var(--stage-base-text-align, start);
}
@media (min-width: 960px) {
  .cmp-stage__base {
    min-height: var(--stage-height);
    display: flex;
    align-items: var(--stage-base-align-items, center);
    justify-content: var(--stage-base-justify, flex-start);
  }
}
.cmp-stage__content {
  position: relative;
  z-index: 1;
  padding-block: var(--vcdk-spacing-8);
  padding-inline: var(--vcdk-spacing-6);
}
.cmp-stage__title {
  font-family: var(--vcdk-typography-display-statement-font-family-small-screens);
  font-weight: var(--vcdk-typography-display-statement-weight-small-screens);
  font-size: var(--vcdk-typography-display-statement-size-small-screens);
  line-height: var(--vcdk-typography-display-statement-line-height-small-screens);
  letter-spacing: var(--vcdk-typography-display-statement-letter-spacing-small-screens);
  margin-block-end: var(--title-bottom-spacing-m);
}
@media (min-width: 904px) {
  .cmp-stage__title {
    font-family: var(--vcdk-typography-display-statement-font-family-large-screens);
    font-weight: var(--vcdk-typography-display-statement-weight-large-screens);
    font-size: var(--vcdk-typography-display-statement-size-large-screens);
    line-height: var(--vcdk-typography-display-statement-line-height-large-screens);
    letter-spacing: var(--vcdk-typography-display-statement-letter-spacing-large-screens);
  }
}
@media (max-width: 959px) {
  .cmp-stage__description {
    color: var(--vcdk-color-text-subtle);
  }
}
.cmp-stage__description a {
  transition: color 0.1s linear;
  color: var(--link-color, var(--vcdk-color-text-link));
  -webkit-text-decoration: var(--link-text-decoration, underline);
          text-decoration: var(--link-text-decoration, underline);
  --link-color: var(--vcdk-color-text);
}
.cmp-stage__description a:hover, .cmp-stage__description a:focus, .cmp-stage__description a:active {
  text-decoration: underline;
}
.cmp-stage__description a:hover, .cmp-stage__description a:focus {
  --link-color: var(--vcdk-color-text-subtle);
}
.cmp-stage__description a:active {
  --link-color: var(--vcdk-color-text);
}
.cmp-stage__action-container {
  margin-block-start: var(--vcdk-spacing-6);
  display: flex;
  flex-wrap: wrap;
  gap: var(--vcdk-spacing-5);
  justify-content: var(--stage-base-justify, flex-start);
}
.cmp-stage__image {
  overflow: hidden;
}
@media (max-width: 959px) {
  .cmp-stage__image {
    position: relative;
    height: var(--stage-height);
  }
}
@media (min-width: 960px) {
  .cmp-stage__image {
    position: absolute;
    inset: 0;
    margin-block: 0;
    margin-inline: -15px;
  }
}
@media (min-width: 1200px) {
  .cmp-stage__image {
    width: auto;
    margin-inline: calc((100vw - 1200px) / -2);
  }
}
@media (min-width: 2048px) {
  .cmp-stage__image {
    width: auto;
    margin-inline: calc((2048px - 1200px) / -2);
  }
  .container--fullWidth .cmp-stage__image {
    margin: 0;
  }
  .columncontrol__column:first-child .cmp-stage__image {
    margin-inline-end: 0;
  }
  .columncontrol__column:last-child .cmp-stage__image {
    margin-inline-start: 0;
  }
}
.stage__img--content .cmp-stage__image {
  margin-inline: 0;
}
.cmp-stage__image .cmp-image {
  position: absolute;
  inset: 0;
}
.cmp-stage__image .cmp-image__image {
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
}
/*# sourceMappingURL=data:application/json;base64,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 */